package ru.ulstu.report.model.dto;

import ru.ulstu.file.model.FileDataDto;
import ru.ulstu.indicator.model.Indicator;

import java.util.ArrayList;
import java.util.List;

public class ReportValueDto {
    private Indicator indicator;
    private int indicatorValue;
    private List<FileDataDto> files = new ArrayList<>();

    public ReportValueDto() {
    }

    public ReportValueDto(Indicator indicator) {
        this.indicator = indicator;
    }

    public Indicator getIndicator() {
        return indicator;
    }

    public void setIndicator(Indicator indicator) {
        this.indicator = indicator;
    }

    public int getIndicatorValue() {
        return indicatorValue;
    }

    public void setIndicatorValue(int indicatorValue) {
        this.indicatorValue = indicatorValue;
    }

    public List<FileDataDto> getFiles() {
        return files;
    }

    public void setFiles(List<FileDataDto> files) {
        this.files = files;
    }
}
